/* 
 * File:   glass_key.h
 * Author: martin
 *
 * Created on September 9, 2011, 9:37 AM
 */

#ifndef GLASS_KEY_H
#define	GLASS_KEY_H

#include <jni.h>

#ifdef	__cplusplus
extern "C" {
#endif

#include <gtk/gtk.h>
    
    jint gdk_keyval_to_glass(guint keyval);
    jint glass_key_to_modifier(jint glassKey);
    jint gdk_modifier_mask_to_glass(guint mask);
    gint find_gdk_keyval_for_glass_keycode(jint code);

#ifdef	__cplusplus
}
#endif

#endif	/* GLASS_KEY_H */

